test_data = [
    {
        "args": {
            "nums": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
        },
        "expected": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
    },
    {
        "args": {
            "nums": [],
        },
        "expected": [],
    },
    {
        "args": {
            "nums": [1],
        },
        "expected": [1],
    },
    {
        "args": {
            "nums": [1, 1, 2, 2, 3, 3, 4, 4],
        },
        "expected": [1, 1, 2, 2, 3, 3, 4, 4],
    },
    {
        "args": {
            "nums": [1, 4, 1, 4, 3, 2, 2, 3],
        },
        "expected": [1, 1, 2, 2, 3, 3, 4, 4],
    },
]
